> For the complete documentation index, see [llms.txt](https://docs.somnia.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.somnia.network/developer/network-info/somi-coin.md).

# SOMI coin

SOMI is the native coin of the Somnia Network. It is a currency used to pay for transactions, similar to Ether (ETH) on Ethereum and other EVM networks.

SOMI is denominated in Wei, the base unit and smallest value that can be expressed in the network. Below is a table showing different denomination and comparison to falimiar terms:

<table><thead><tr><th width="161.42578125">Unit</th><th width="250.30078125" align="right">Wei Value</th><th width="75.859375" align="right">Exp</th><th>Ethereum synonym</th></tr></thead><tbody><tr><td>Somi (SOMI)</td><td align="right">1,000,000,000,000,000,000</td><td align="right">1e18</td><td>Ether (ETH)</td></tr><tr><td>milliSomi</td><td align="right">1,000,000,000,000,000,</td><td align="right">1e15</td><td></td></tr><tr><td>microSomi</td><td align="right">1,000,000,000,000</td><td align="right">1e12</td><td></td></tr><tr><td>nanoSomi</td><td align="right">1,000,000,000</td><td align="right">1e9</td><td>gWei</td></tr><tr><td>Wei</td><td align="right">1</td><td align="right">1</td><td>Wei</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.somnia.network/developer/network-info/somi-coin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
